interpolator.hh File Reference
`#include <vector>`
`#include <mia/core/splinekernel.hh>`
`#include <mia/core/boundary_conditions.hh>`
`#include <mia/2d/image.hh>`
Include dependency graph for 2d/interpolator.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C2DInterpolatorFactory
| The factory to create an interpolator from some input data. More...
class | T2DInterpolator< T >
| The base class for 2D interpolators that use some kind of spacial convolution. More...

## Typedefs

typedef std::shared_ptr< C2DInterpolatorFactory > | P2DInterpolatorFactory
| Pointer type for the 2D interpolationfactory.

## Typedef Documentation

## P2DInterpolatorFactory

typedef std::shared_ptr<C2DInterpolatorFactory > P2DInterpolatorFactory

Pointer type for the 2D interpolationfactory.

Definition at line 255 of file 2d/interpolator.hh.